Package com.collabnet.ce.soap60.webservices.tracker

# Class TrackerSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
com.collabnet.ce.soap60.webservices.tracker.TrackerSoapRow

public class TrackerSoapRow extends FolderSoapRow
A list of trackers is represented by TrackerSoapList class. Each row within a tracker list is represented by the TrackerSoapRow class.
Change History
Release: 6.1

- Added icon field.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrackerSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIcon()`
  Returns 'icon'.
  `String`
  `getLastEditedByFullname()`
  Returns 'lastEditedByFullname'.
  `String`
  `getLastEditedByUsername()`
  Returns 'lastEditedByUsername'.
  `Date`
  `getLastEditedDate()`
  Returns 'lastEditedDate'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setIcon(String icon)`
  Sets 'icon'.
  `void`
  `setLastEditedByFullname(String lastEditedByFullname)`
  Sets 'lastEditedByFullname'.
  `void`
  `setLastEditedByUsername(String lastEditedByUsername)`
  Sets 'lastEditedByUsername'.
  `void`
  `setLastEditedDate(Date lastEditedDate)`
  Sets 'lastEditedDate'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

  `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrackerSoapRow

    public TrackerSoapRow()

- ## Method Details

  - ### getLastEditedByUsername

    public String getLastEditedByUsername()
    Returns 'lastEditedByUsername'. The username of the last user to edit the tracker
    Returns:
      Value of 'lastEditedByUsername'.

  - ### setLastEditedByUsername

    public void setLastEditedByUsername(String lastEditedByUsername)
    Sets 'lastEditedByUsername'. The username of the last user to edit the tracker
    Parameters:
      `lastEditedByUsername` - Value of 'lastEditedByUsername'.

  - ### getLastEditedByFullname

    public String getLastEditedByFullname()
    Returns 'lastEditedByFullname'. The full name of the last user to edit the tracker
    Returns:
      Value of 'lastEditedByFullname'.

  - ### setLastEditedByFullname

    public void setLastEditedByFullname(String lastEditedByFullname)
    Sets 'lastEditedByFullname'. The full name of the last user to edit the tracker
    Parameters:
      `lastEditedByFullname` - Value of 'lastEditedByFullname'.

  - ### getLastEditedDate

    public Date getLastEditedDate()
    Returns 'lastEditedDate'. When details of the tracker were last changed
    Returns:
      Value of 'lastEditedDate'.

  - ### setLastEditedDate

    public void setLastEditedDate(Date lastEditedDate)
    Sets 'lastEditedDate'. When details of the tracker were last changed
    Parameters:
      `lastEditedDate` - Value of 'lastEditedDate'.

  - ### getIcon

    public String getIcon()
    Returns 'icon'. The tracker icon
    Returns:
      Value of 'icon'.

  - ### setIcon

    public void setIcon(String icon)
    Sets 'icon'. The tracker icon
    Parameters:
      `icon` - Value of 'icon'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)